package com.jay.monitor.data.server.daos;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jay.monitor.data.server.models.entity.JayMonitorMq;
import com.jay.monitor.data.server.models.entity.JayMonitorMqExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JayMonitorMqMapper extends BaseMapper<JayMonitorMq> {
    long countByExample(JayMonitorMqExample example);

    int deleteByExample(JayMonitorMqExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(JayMonitorMq record);

    int insertSelective(JayMonitorMq record);

    List<JayMonitorMq> selectByExample(JayMonitorMqExample example);

    JayMonitorMq selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") JayMonitorMq record, @Param("example") JayMonitorMqExample example);

    int updateByExample(@Param("record") JayMonitorMq record, @Param("example") JayMonitorMqExample example);

    int updateByPrimaryKeySelective(JayMonitorMq record);

    int updateByPrimaryKey(JayMonitorMq record);
}